# CARD_LIFECYCLE_EVENT

The status of a customer's card has changed. You can find the full list of available statuses here.

Endpoint: POST card_lifecycle_event
Version: 1.0

## Request fields (application/json):

  - `event_type` (string)
    Card operation type that lead to a card status change.
    Enum: "CARD_CREATED", "CARD_ACTIVATED", "CARD_BLOCKED", "CARD_BLOCKED_BY_SOLARIS", "CARD_UNBLOCKED", "CARD_REPLACED", "CARD_LOST_STOLEN_REPLACED", "CARD_LOST_STOLEN", "CARD_CLOSED", "CARD_OFFBOARDED"

  - `reason` (string)
    Reason for the card lifecycle event. Reason is provided only for the following cases:
  1. CARD_CREATED/CARD_ACTIVATED: In case card was a replacement for an offboarded card then reason will be MASTERCARD_OFFBOARDING. Otherwise reason will not be provided.
  2. CARD_REPLACED/CARD_LOST_STOLEN_REPLACED: replacement reason will be provided in the reason field.
  3. CARD_CLOSED: closure reason will be provided in the reason field.
    Enum: "AUTOMATIC_REPLACEMENT_FOR_EXPIRED_CARD,", "EXPIRES_SOON,", "CARDHOLDER_REQUEST,", "DEFECTIVE_CARD,", "ACCIDENTAL_DAMAGE,", "FAULTY_PRODUCED_CARD,", "LOST,", "LOST_IN_TRANSIT,", "STOLEN,", "COUNTERFEIT_PLASTIC,", "SUSPECTED_MERCHANT_FRAUD,", "PREVENTIVE_BLOCK,", "ONLINE_TRANSACTION_FRAUD,", "TOKENIZATION_FRAUD", "EXPIRED", "INTERNAL_CLOSURE,", "DELIVERY_RETURN,", "ACCOUNT_CLOSED,"

  - `id` (string)
    ID of the card.
    Example: "8febdba4912a747808ccc6f95f82bbb4"

  - `status` (string)
    The current status of the card.
    Enum: "ACTIVE", "ACTIVATION_BLOCKED_BY_SOLARIS", "BLOCKED", "BLOCKED_BY_SOLARIS", "CLOSED", "CLOSED_BY_SOLARIS", "COUNTERFEIT_CARD", "FRAUD", "INACTIVE", "LOST", "NEVER_RECEIVED", "PROCESSING", "STOLEN"

  - `reference` (string)
    Unique reference number for the card.
    Example: "87285d83-ab15-4906-af87-5763801d9e43"

  - `type` (string)
    The type of the card. Note The following enum list is not exhaustive but only indicative of some possible values.
    Enum: "MASTERCARD_DEBIT", "MASTERCARD_BUSINESS_DEBIT", "VIRTUAL_MASTERCARD_DEBIT", "VIRTUAL_MASTERCARD_BUSINESS_DEBIT", "VIRTUAL_MASTERCARD_FREELANCE_DEBIT", "VISA_DEBIT", "VISA_BUSINESS_DEBIT", "VIRTUAL_VISA_DEBIT", "VIRTUAL_VISA_BUSINESS_DEBIT", "VIRTUAL_VISA_FREELANCE_DEBIT", "VISA_CREDIT", "VIRTUAL_VISA_CREDIT", "VISA_BUSINESS_CREDIT", "VIRTUAL_VISA_BUSINESS_CREDIT"

  - `expiration_date` (string)
    The expiration date of the card.
    Example: "2020-12-30"

  - `person_id` (string)
    ID of the cardholder person resource.
    Example: "5af2ea4271038d5c53e68ccbf4fe43b3cper"

  - `account_id` (string)
    ID of the account to which the card is tied.
    Example: "a5844f601567db9b59b3531245a58e96cacc"

  - `business_id` (string)
    (For business cards) ID of the business with which the card is associated.
    Example: "52e6a9b8a559d842ed7d8901b0e1bf4bcbiz"

  - `representation` (object)
    Object containing information about the cardholder, the card's masked PAN, and the formatted expiration date.

  - `representation.line_1` (string)
    The cardholder's first and last name.
    Example: "SLY STALLONE"

  - `representation.line_2` (string)
    The supplementary personalized info like business name or membership number.
    Example: "BUSINESS NAME"

  - `representation.masked_pan` (string)
    The first six and last four digits of the card.
    Example: "537458******4567"

  - `representation.formatted_expiration_date` (string)
    The card's expiration date in MM/YY format.
    Example: "09/22"


## Response 200 fields
